#pragma once

#include <string>

namespace maps::wiki::tasks::ymapsdf {

const std::string& getArcadiaSchemasDirectory();

std::string getDefaultSchemasDirectory();
void setDefaultSchemasDirectory(std::string dir);

std::string getArcadiaScriptPath(const std::string& file);
std::string getDefaultScriptPath(const std::string& file);
std::string getScriptPath(const std::string& file);

std::string getGardenSchemasDirectory();

} // namespace maps::wiki::tasks::ymapsdf
